function [noiseSD,kurt] = fitShapeAndSDUsingKurts(noiseVars,noiseKurts)
   [x,fval,exitflag] = fminsearch(@(x) myminfun(x,noiseVars,noiseKurts),[min(noiseKurts) 0.5]);

   noiseSD = x(2);
   kurt = x(1);
   if exitflag==0
       noiseSD = NaN;
       kurt = NaN;
   end
end

function F = myminfun(guesses,noiseVars,noiseKurts)
    N = length(noiseVars);
    kurt = guesses(1);
    sd = guesses(2);
    F = 0;
    for i=2:N
        F = F + (kurtFunc(kurt,sd,i,noiseVars) - noiseKurts(i)).^2;
    end
end