% load image
I = double(imread('moon.tif'));

% add noise
noiseSD = 25;
noiseI = I + noiseSD*randn(size(I));

% estimate noise from noised image
[estimatedNoiseSD] = estimateNoiseSDUsingKurts(noiseI,8);

% display results
fprintf('real noise SD: %f\n',noiseSD);
fprintf('estimated noise SD: %f\n',estimatedNoiseSD);
